> ## Documentation Index
> Fetch the complete documentation index at: https://docs-staging.termii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a sender id

> This endpoint requests a sender id.



## OpenAPI

````yaml https://res.cloudinary.com/dgdteyucq/raw/upload/v1744131377/termii/test_kdae1u.json post /api/sender-id/request
openapi: 3.0.3
info:
  title: Public API
  description: >-
    This is a refined OpenAPI 3.0 specification for the Public API, including
    enhanced descriptions, reusable components, and structured security
    definitions.
  version: 1.0.1
  contact:
    name: Support Team
    email: support@example.com
    url: https://example.com/support
servers:
  - url: '{base_url}'
    variables:
      base_url:
        default: ''
        description: ''
    description: Production Server
security:
  - ApiKeyAuth: []
paths:
  /api/sender-id/request:
    post:
      tags:
        - Messaging
      summary: Request a sender id
      description: This endpoint requests a sender id.
      operationId: sendRcs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RcsRequest'
      responses:
        '200':
          description: use_case sent successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    RcsRequest:
      type: object
      required:
        - api_key
        - sender_id
        - use_case
        - company
      properties:
        api_key:
          type: string
          description: Your API key for authentication.
        sender_id:
          type: string
          description: Recipient's sender id.
        company:
          type: string
          description: Sender's company.
        use_case:
          type: string
          description: use_case content.
    SuccessResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        use_case:
          type: string
          example: Sender id request sent successfully.
  responses:
    BadRequest:
      description: Invalid request parameters.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: error
              message:
                type: string
                example: Invalid format.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````